Bug 580750 - [abrt] crash in qt-examples-1:4.6.2-8.fc12: Process /usr/lib64/qt4/examples/graphicsview/padnavigator/padnavigator was killed by signal 11 (SIGSEGV)
[abrt] crash in qt-examples-1:4.6.2-8.fc12: Process /usr/lib64/qt4/examples/g...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: qt (Show other bugs)
12
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Ngo Than
Fedora Extras Quality Assurance
abrt_hash:793e7501dc5353d74512b64c1d5...
: MoveUpstream
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-04-08 19:25 EDT by Ryan Maki
Modified: 2010-12-03 11:09 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-03 11:09:08 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (12.03 KB, text/plain)
2010-04-08 19:25 EDT, Ryan Maki
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
KDE Software Compilation 240632 None None None Never

  None (edit)
Description Ryan Maki 2010-04-08 19:25:52 EDT
abrt 1.0.8 detected a crash.

architecture: x86_64
Attached file: backtrace
cmdline: /usr/lib64/qt4/examples/graphicsview/padnavigator/padnavigator
comment: Crashes every time on my system when Closed.
component: qt
executable: /usr/lib64/qt4/examples/graphicsview/padnavigator/padnavigator
kernel: 2.6.31.5-127.fc12.x86_64
package: qt-examples-1:4.6.2-8.fc12
rating: 4
reason: Process /usr/lib64/qt4/examples/graphicsview/padnavigator/padnavigator was killed by signal 11 (SIGSEGV)
release: Fedora release 12 (Constantine)

How to reproduce
-----
1. Open qtdemo-qt4
2. Run the Graphics View > Pad Navigator example
3. Use arrow keys to navigate left, right, up, down, hit enter to open settings
4. Click window Close button
Comment 1 Ryan Maki 2010-04-08 19:25:53 EDT
Created attachment 405425 [details]
File: backtrace
Comment 2 Steven M. Parrish 2010-05-05 07:54:52 EDT
This is an issue which needs to be addressed by the upstream developers.  Please file a report at http://bugs.kde.org  once that is done please add the upstream bug information to this report.  We will monitor the upstream report for a resolution. 

Thanks
Comment 3 Ryan Maki 2010-05-06 18:17:41 EDT
I submitted this report against QT directly. Upstream bug link:
http://bugreports.qt.nokia.com/browse/QTBUG-10465
"crash in qt-examples Graphics View, Pad Navigator when closing demo application"

The Nokia Jira instance was not in the External Bugs server list, so I could not update the link there, hopefully the QTBUG-10465 link will suffice.

Thanks
Comment 4 Kevin Kofler 2010-05-09 11:04:47 EDT
Thanks, but judging from the backtrace, it seems to be a bug in the Oxygen style, please file it against the Oxygen style on bugs.kde.org.
Comment 5 Ryan Maki 2010-06-03 13:23:28 EDT
I've finally gotten around to posting this bug upstream in KDE (Oxygen), linking the external bug report.
Comment 6 Bug Zapper 2010-11-03 13:33:09 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Bug Zapper 2010-12-03 11:09:08 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.